--[[
    PvP Auras (common)
]]
local TRACE = function(msg) ChatFrame1:AddMessage(msg) end
local tuf_aura_db = TuckUF.aura_db

-- local shortcut
local set_data = tuf_aura_db.SetAuraInfo
local get_data = tuf_aura_db.GetAuraInfo
local add_data = tuf_aura_db.AddAuraInfo

local function initializer()
    --[[ RACIAL ]]
    set_data("Stoneform", {} )
    set_data("Perception", {} )
    set_data("Arcane Torrent", {group = "silence"} )
    set_data("Shadowmeld", {} )
    set_data("Blood Fury", {} )
    set_data("Berserking", {} )
    set_data("Will of the Forsaken", {} )
    set_data("Cannibalize", {} )

    --[[ SHARED ]]
    -- general
    set_data("Daze", {group = "slow"} )

    -- rogue and hunter
    set_data("Expose Weakness", {} )

    -- shaman and priest
    set_data("Focused Casting", {} )

    -- shaman and druid
    set_data("Nature's Swiftness", {} )

    -- shaman and warrior
    set_data("Flurry", {} )

    -- felguard and warrior
    set_data("Intercept Stun", {group = "stun"} )

    -- random stun proc
    set_data("Mace Stun Effect", {group = "stun"} )
    set_data("Stun", {group = "stun"} )

    -- beasts and druids
    set_data("Growl", {} )
    set_data("Prowl", {} )
    set_data("Dash", {} )

    --[[ PRIEST ]]
    set_data("Abolish Disease", {} )
    set_data("Blackout", {group = "stun"} )
    set_data("Blessed Recovery", {} )
    set_data("Blessed Resilience", {} )
    set_data("Chastise", {group = "root"} )
    set_data("Devouring Plague", {} )
    set_data("Divine Spirit", {} )
    set_data("Elune's Grace", {} )
    set_data("Fade", {} )
    set_data("Fear Ward", {} )
    set_data("Feedback", {} )
    set_data("Focused Will", {} )
    set_data("Hex of Weakness", {} )
    set_data("Holy Fire", {} )
    set_data("Inner Focus", {} )
    set_data("Inner Fire", {} )
    set_data("Inspiration", {} )
    set_data("Lightwell Renew", {} )
    set_data("Martyrdom", {} )
    set_data("Mind Control", {} )
    set_data("Mind Flay", {group = "slow"} )
    set_data("Mind Soothe", {} )
    set_data("Mind Vision", {} )
    set_data("Misery", {} )
    set_data("Pain Suppression", {} )
    set_data("Power Infusion", {} )
    set_data("Power Word: Fortitude", {} )
    set_data("Power Word: Shield", {} )
    set_data("Prayer of Fortitude", {} )
    set_data("Prayer of Mending", {} )
    set_data("Prayer of Shadow Protection", {} )
    set_data("Prayer of Spirit", {} )
    set_data("Psychic Scream", {group = "fear"} )
    set_data("Renew", {} )
    set_data("Shackle Undead", {} )
    set_data("Shadow Protection", {} )
    set_data("Shadow Weaving", {} )
    set_data("Shadow Word: Pain", {} )
    set_data("Shadowform", {} )
    set_data("Shadowguard", {} )
    set_data("Silence", {group = "silence"} )
    set_data("Spirit Tap", {} )
    set_data("Spirit of Redemption", {} )
    set_data("Starshards", {} )
    set_data("Symbol of Hope", {} )
    set_data("Touch of Weakness", {} )
    set_data("Vampiric Embrace", {} )
    set_data("Vampiric Touch", {} )


    --[[ ROGUE ]]
    set_data("Adrenaline Rush", {} )
    set_data("Blade Flurry", {} )
    set_data("Blind", {group = "mezz"} )
    set_data("Cheap Shot", {group = "stun"} )
    set_data("Cheat Death", {} )
    set_data("Cloak of Shadows", {} )
    set_data("Cold Blood", {} )
    set_data("Crippling Poison", {group = "slow"} )
    set_data("Deadly Poison", {} )
    set_data("Deadly Throw", {group = "slow"} )
    set_data("Evasion", {} )
    set_data("Expose Armor", {} )
    set_data("Garrote", {} )
    set_data("Ghostly Strike", {} )
    set_data("Gouge", {group = "mezz"} )
    set_data("Hemorrhage", {} )
    set_data("Kick - Silenced", {group = "silence"} )
    set_data("Kidney Shot", {group = "stun"} )
    set_data("Mind-numbing Poison", {group = "slowcast"} )
    set_data("Remorseless", {} )
    set_data("Riposte", {} )
    set_data("Rupture", {} )
    set_data("Sap", {group = "mezz"} )
    set_data("Shadowstep", {} )
    set_data("Slice and Dice", {} )
    set_data("Sprint", {} )
    set_data("Stealth", {} )
    set_data("Vanish", {} )
    set_data("Wound Poison", {group = "antiheal"} )


    --[[ PALADIN ]]
    set_data("Avenger's Shield", {} )
    set_data("Avenging Wrath", {} )
    set_data("Blessing of Freedom", {} )
    set_data("Blessing of Kings", {} )
    set_data("Blessing of Light", {} )
    set_data("Blessing of Might", {} )
    set_data("Blessing of Protection", {} )
    set_data("Blessing of Sacrifice", {} )
    set_data("Blessing of Salvation", {} )
    set_data("Blessing of Sanctuary", {} )
    set_data("Blessing of Wisdom", {} )
    set_data("Greater Blessing of Kings", get_data("Blessing of Kings"))
    set_data("Greater Blessing of Light", get_data("Blessing of Light"))
    set_data("Greater Blessing of Might", get_data("Blessing of Might"))
    set_data("Greater Blessing of Salvation", get_data("Blessing of Salvation"))
    set_data("Greater Blessing of Sanctuary", get_data("Blessing of Sanctuary"))
    set_data("Greater Blessing of Wisdom", get_data("Blessing of Wisdom"))
    set_data("Concentration Aura", {} )
    set_data("Consecration", {} )
    set_data("Crusader Aura", {} )
    set_data("Devotion Aura", {} )
    set_data("Divine Favor", {} )
    set_data("Divine Illumination", {} )
    set_data("Divine Intervention", {} )
    set_data("Divine Protection", {} )
    set_data("Divine Shield", {} )
    set_data("Fire Resistance Aura", {} )
    set_data("Frost Resistance Aura", {} )
    set_data("Hammer of Justice", {group = "stun"} )
    set_data("Holy Shield", {} )
    set_data("Light's Grace", {} )
    set_data("Redoubt", {} )
    set_data("Repentance", {group = "mezz"} )
    set_data("Retribution Aura", {} )
    set_data("Righteous Fury", {} )
    set_data("Sanctity Aura", {} )
    set_data("Seal of Blood", {} )
    set_data("Seal of Command", {} )
    set_data("Seal of Justice", {} )
    set_data("Seal of Light", {} )
    set_data("Seal of Righteousness", {} )
    set_data("Seal of Vengeance", {} )
    set_data("Seal of Wisdom", {} )
    set_data("Seal of the Crusader", {} )
    set_data("Shadow Resistance Aura", {} )
    set_data("Turn Evil", {} )
    set_data("Vindication", {} )

    --[[ DRUID ]]
    set_data("Abolish Poison", {} )
    set_data("Aquatic Form", {} )
    set_data("Barkskin", {} )
    set_data("Bash", {group = "stun"} )
    set_data("Bear Form", {} )
    set_data("Cat Form", {} )
    set_data("Challenging Roar", {} )
    set_data("Cyclone", {group = "banish"} )
    set_data("Demoralizing Roar", {} )
    set_data("Dire Bear Form", {} )
    set_data("Enrage", {} )
    set_data("Entangling Roots", {group = "root"} )
    set_data("Faerie Fire", {} )
    set_data("Faerie Fire (Feral)", {} )
    set_data("Feral Charge", {group = "stun"} )
    set_data("Flight Form", {} )
    set_data("Frenzied Regeneration", {} )
    set_data("Gift of the Wild", {} )
    set_data("Hibernate", {} )
    set_data("Hurricane", {} )
    set_data("Innervate", {} )
    set_data("Insect Swarm", {} )
    set_data("Lacerate", {} )
    set_data("Leader of the Pack", {} )
    set_data("Lifebloom", {} )
    set_data("Maim", {group = "mezz"} )
    set_data("Mangle (Bear)", {} )
    set_data("Mangle (Cat)", {} )
    set_data("Mark of the Wild", {} )
    set_data("Moonfire", {} )
    set_data("Moonkin Form", {} )
    set_data("Natural Perfection", {} )
    set_data("Nature's Grasp", {} )
    set_data("Nature's Swiftness", {} )
    set_data("Omen of Clarity", {} )
    set_data("Pounce", {group = "stun"} )
    set_data("Rake", {} )
    set_data("Ravage", {} )
    set_data("Regrowth", {} )
    set_data("Rejuvenation", {} )
    set_data("Rip", {} )
    set_data("Soothe Animal", {} )
    set_data("Starfire", {} )
    set_data("Swift Flight Form", {} )
    set_data("Thorns", {} )
    set_data("Tiger's Fury", {} )
    set_data("Tranquility", {} )
    set_data("Travel Form", {} )
    set_data("Tree of Life", {} )

    --[[ WARLOCK ]]
    set_data("Aftermath", {group = "slow"} )
    set_data("Amplify Curse", {} )
    set_data("Backlash", {} )
    set_data("Banish", {group = "banish"} )
    set_data("Burning Wish", {} )
    set_data("Corruption", {} )
    set_data("Curse of Agony", {} )
    set_data("Curse of Doom", {} )
    set_data("Curse of Exhaustion", {group = "slow"} )
    set_data("Curse of Recklessness", {} )
    set_data("Curse of Shadow", {} )
    set_data("Curse of Tongues", {group = "slowcast"} )
    set_data("Curse of Weakness", {} )
    set_data("Curse of the Elements", {} )
    set_data("Death Coil", {group = "fear"} )
    set_data("Demon Armor", {} )
    set_data("Demon Skin", {} )
    set_data("Demonic Knowledge", {} )
    set_data("Detect Invisibility", {} )
    set_data("Drain Life", {} )
    set_data("Drain Mana", {} )
    set_data("Drain Soul", {} )
    set_data("Enslave Demon", {} )
    set_data("Eye of Kilrogg", {} )
    set_data("Fear", {group = "fear"} )
    set_data("Fel Armor", {} )
    set_data("Fel Domination", {} )
    set_data("Fel Energy", {} )
    set_data("Fel Stamina", {} )
    set_data("Health Funnel", {} )
    set_data("Hellfire", {} )
    set_data("Howl of Terror", {group = "fear"} )
    set_data("Immolate", {} )
    set_data("Master Demonologist", {} )
    set_data("Nether Protection", {} )
    set_data("Nightfall", {} )
    set_data("Pyroclasm", {group = "stun"} )
    set_data("Seed of Corruption", {} )
    set_data("Sense Demons", {} )
    set_data("Shadow Embrace", {} )
    set_data("Shadow Ward", {} )
    set_data("Shadowburn", {} )
    set_data("Shadowfury", {} )
    set_data("Siphon Life", {} )
    set_data("Soul Link", {} )
    set_data("Touch of Shadow", {} )
    set_data("Unending Breath", {} )
    set_data("Unstable Affliction", {} )

    set_data("Tainted Blood", {} )
    set_data("Spell Lock", {group = "silence"} )
    set_data("Paranoia", {} )
    set_data("Blood Pact", {} )
    set_data("Fire Shield", {} )
    set_data("Phase Shift", {} )
    set_data("Lesser Invisibility", {} )
    set_data("Seduction", {} )
    set_data("Consume Shadows", {} )
    set_data("Sacrifice", {} )
    set_data("Suffering", {} )

    --[[ HUNTER ]]
    set_data("Aimed Shot", {group = "antiheal"} )
    set_data("Aspect of the Beast", {} )
    set_data("Aspect of the Cheetah", {} )
    set_data("Aspect of the Hawk", {} )
    set_data("Aspect of the Monkey", {} )
    set_data("Aspect of the Pack", {} )
    set_data("Aspect of the Viper", {} )
    set_data("Aspect of the Wild", {} )
    set_data("Bestial Wrath", {} )
    set_data("Concussive Shot", {} )
    set_data("Counterattack", {group = "root"} )
    set_data("Deterrence", {} )
    set_data("Eagle Eye", {} )
    set_data("Entrapment", {group = "root"} )
    set_data("Explosive Trap", {} )
    set_data("Eyes of the Beast", {} )
    set_data("Feed Pet", {} )
    set_data("Feign Death", {} )
    set_data("Ferocious Inspiration", {} )
    set_data("Freezing Trap", {group = "mezz"} )
    set_data("Frenzy", {} )
    set_data("Frost Trap", {group = "slow"} )
    set_data("Hunter's Mark", {} )
    set_data("Immolation Trap", {} )
    set_data("Intimidation", {group = "stun"} )
    set_data("Improved Concussive Shot", {group = "stun"} )
    set_data("Improved Wing Clip", {group = "root"} )
    set_data("Master Tactician", {} )
    set_data("Mend Pet", {} )
    set_data("Misdirection", {} )
    set_data("Quick Shots", {} )
    set_data("Rapid Fire", {} )
    set_data("Rapid Killing", {} )
    set_data("Scare Beast", {group = "fear"} )
    set_data("Scatter Shot", {group = "mezz"} )
    set_data("Scorpid Poison", {} )
    set_data("Scorpid Sting", {} )
    set_data("Screech", {} )
    set_data("Serpent Sting", {} )
    set_data("Silencing Shot", {group = "silence"} )
    set_data("Spirit Bond", {} )
    set_data("Tame Beast", {} )
    set_data("The Beast Within", {} )
    set_data("Track Beasts", {} )
    set_data("Track Demons", {} )
    set_data("Track Dragonkin", {} )
    set_data("Track Elementals", {} )
    set_data("Track Giants", {} )
    set_data("Track Hidden", {} )
    set_data("Track Humanoids", {} )
    set_data("Track Undead", {} )
    set_data("Trueshot Aura", {} )
    set_data("Viper Sting", {} )
    set_data("Volley", {} )
    set_data("Wing Clip", {group = "slow"} )
    set_data("Wyvern Sting", {group = "mezz"} )

    --[[ MAGE ]]
    set_data("Amplify Magic", {} )
    set_data("Arcane Brilliance", {} )
    set_data("Arcane Intellect", {} )
    set_data("Arcane Power", {} )
    set_data("Blast Wave", {group = "slow"} )
    set_data("Blazing Speed", {} )
    set_data("Blink", {} )
    set_data("Blizzard", {} )
    set_data("Chilled", {group = "slow"} )
    set_data("Clearcasting", {} )
    set_data("Combustion", {} )
    set_data("Cone of Cold", {group = "slow"} )
    set_data("Counterspell - Silenced", {group = "silence"} )
    set_data("Dampen Magic", {} )
    set_data("Dragon's Breath", {group = "mezz"} )
    set_data("Evocation", {} )
    set_data("Fire Ward", {} )
    set_data("Fire Vulnerability", {} )
    set_data("Fireball", {} )
    set_data("Flamestrike", {} )
    set_data("Frost Armor", {} )
    set_data("Frost Nova", {group = "root"} )
    set_data("Frost Ward", {} )
    set_data("Frostbite", {group = "root"} )
    set_data("Frostbolt", {} )
    set_data("Ice Armor", {} )
    set_data("Ice Barrier", {} )
    set_data("Ice Block", {} )
    set_data("Icy Veins", {} )
    set_data("Ignite", {} )
    set_data("Impact", {group = "stun"} )
    set_data("Invisibility", {} )
    set_data("Mage Armor", {} )
    set_data("Mana Shield", {} )
    set_data("Molten Armor", {} )
    set_data("Polymorph", {group = "mezz"} )
    set_data("Presence of Mind", {} )
    set_data("Pyroblast", {} )
    set_data("Slow", {} )
    set_data("Slow Fall", {} )
    set_data("Winter's Chill", {} )

    --[[ SHAMAN ]]
    set_data("Bloodlust", {} )
    set_data("Earth Shield", {} )
    set_data("Earthbind", {group = "slow"} )
    set_data("Far Sight", {} )
    set_data("Fire Resistance", {} )
    set_data("Flame Shock", {} )
    set_data("Focused", {} )
    set_data("Frost Resistance", {} )
    set_data("Frost Shock", {group = "slow"} )
    set_data("Frostbrand Attack", {group = "slow"} )
    set_data("Ghost Wolf", {} )
    set_data("Grace of Air", {} )
    set_data("Heroism", {} )
    set_data("Lightning Shield", {} )
    set_data("Mana Spring", {} )
    set_data("Mana Tide", {} )
    set_data("Nature Resistance", {} )
    set_data("Shamanistic Rage", {} )
    set_data("Stoneskin", {} )
    set_data("Stormstrike", {} )
    set_data("Strength of Earth", {} )
    set_data("Totem of Wrath", {} )
    set_data("Unleashed Rage", {} )
    set_data("Water Breathing", {} )
    set_data("Water Shield", {} )
    set_data("Water Walking", {} )
    set_data("Windfury Weapon", {} )
    set_data("Windwall", {} )
    set_data("Wrath of Air", {} )

    --[[ WARRIOR ]]
    set_data("Battle Shout", {} )
    set_data("Berserker Rage", {} )
    set_data("Bloodrage", {} )
    set_data("Bloodthirst", {} )
    set_data("Blood Craze", {} )
    set_data("Challenging Shout", {} )
    set_data("Charge Stun", {group = "stun"} )
    set_data("Commanding Shout", {} )
    set_data("Concussion Blow", {group = "stun"} )
    set_data("Death Wish", {} )
    set_data("Deep Wounds", {} )
    set_data("Demoralizing Shout", {} )
    set_data("Disarm", {} )
    set_data("Enrage", {} )
    set_data("Hamstring", {} )
    set_data("Improved Hamstring", {group = "root"} )
    set_data("Intervene", {} )
    set_data("Intimidating Shout", {group = "fear"} )
    set_data("Last Stand", {} )
    set_data("Mortal Strike", {group = "antiheal"} )
    set_data("Piercing Howl", {group = "slow"} )
    set_data("Rampage", {} )
    set_data("Recklessness", {} )
    set_data("Rend", {} )
    set_data("Retaliation", {} )
    set_data("Revenge Stun", {group = "stun"} )
    set_data("Second Wind", {} )
    set_data("Shield Bash - Silenced", {group = "silence"} )
    set_data("Shield Block", {} )
    set_data("Shield Wall", {} )
    set_data("Spell Reflection", {} )
    set_data("Sunder Armor", {} )
    set_data("Sweeping Strikes", {} )
    set_data("Taunt", {} )
    set_data("Thunder Clap", {} )
end

tuf_aura_db:AddDBInitializer(initializer)



