local FactoryInterface = { }
IFrameFactory("1.0"):Register("TuckUF", "AuraIcon", FactoryInterface)

--[[
    OnUpdate function for buff icons
]]
local function onUpdate(self)
	if (not self:IsVisible()) then
		return
	end

	if self.aura_duration and self.aura_duration > 0 then
		-- timing information available
		local timeleft = self.aura_timeleft - ( GetTime() - self.aura_timestamp )
		if (timeleft > 0) then
			self.duration:Show()
			self.duration:SetHeight((1-timeleft/self.aura_duration) * self:GetHeight() )
		else
			self.duration:Hide()
		end
	else
		-- no timing information (infinite duration or unknown)
		self.duration:Hide()
	end
end

--[[
    A function that creates a new buff icon
]]
function FactoryInterface:Create()
	local frame = CreateFrame("Frame", nil, UIParent)
	frame:SetWidth(24)
	frame:SetHeight(24)
	
	-- buff icon
	frame.icon = frame:CreateTexture("Icon","ARTWORK")
	frame.icon:SetAllPoints(frame)
	
	-- buff application count
	frame.count = frame:CreateFontString("Count","OVERLAY","TuckUFAuraFont")
	frame.count:SetJustifyH("RIGHT")
	frame.count:SetPoint("BOTTOMRIGHT", frame, "BOTTOMRIGHT", 1, 0)
	
	-- buff border
	--[[frame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
                       edgeFile = "Interface/Buttons/UI-Tooltip-Border", 
                       tile = true, tileSize = 12, edgeSize = 12, 
                       insets = { left = 2, right = 2, top = 2, bottom = 2 }})
	frame:SetBackdropColor(0,0,0,1)
	frame:SetBackdropBorderColor(1,1,1,1)]]
	
	-- buff duration overlay
	frame.duration = frame:CreateTexture("Texture", "OVERLAY")
	frame.duration:SetPoint("TOP", frame, "TOP", 0, 0)
	frame.duration:SetWidth(frame:GetWidth())
	frame.duration:SetTexture(0,0,0,0.7)

	frame.onUpdate = onUpdate
	frame:SetScript("OnUpdate", onUpdate)

	return frame
end

--[[

]]
function FactoryInterface:Destroy(frame)
	return frame
end
